<?php
/*
Template Name: Blog & widget area
*/
if(!isset($included) || !(int)$included)
{
get_header(); ?>
 <!-- Content -->
<div class="content main box-center">
	<!-- Cascade -->
	<div class="cascade preloader">
		<!-- Box menu -->
		<ul class="cascade-menu overflow-fix">
			<?php
			$params = array(
				"cascade_page" => 1
			);
			$result = cascade_get($params);
			echo $result["html"];
			?>
		</ul>
		<!-- /Box menu -->
		<!-- Window -->
		<div class="cascade-window">
			<!-- Close bar -->
			<div class="cascade-window-close-bar">
				<a href="<?php echo ((int)$cascade_options["ajax"] ? '#!/main' : get_home_url()); ?>"></a>
			</div>
			<!-- /Close bar -->
			<!-- Page content -->
			<div class="cascade-window-content">
			<?php
			}
			?>
				<div class="layout-blog cascade_clearfix">
					<div class="layout-blog-<?php echo (is_active_sidebar('sidebar-blog') ? 'left' : 'full');?>">
				<?php
				global $post;
				global $cascade_options;
				$parent_url = ((int)$cascade_options['ajax'] ? '#!/' : '') . $post->post_name;
				$post_categories = array_values(array_filter((array)get_post_meta($post->ID, "cascade_blog_categories", true)));
				if(!count($post_categories))
					$post_categories = get_terms("category", "fields=ids");
				?>
					<ul class="cascade_blog_categories cascade_clearfix">
						<li class="cascade_post_category">
							<a href="<?php echo esc_attr($parent_url); ?>/category-all/" title="<?php esc_attr_e("Show all posts", 'cascade'); ?>"><?php _e("All", 'cascade'); ?></a>
							<?php
							//count all posts
							query_posts(array( 
								'post_type' => 'post',
								'post_status' => 'publish',
								'posts_per_page' => -1,
								'cat' => implode(",", $post_categories)
							));
							global $wp_query;
							$post_count = $wp_query->post_count;
							?>
							<span>[<?php echo $post_count; ?>]</span>
						</li>
					<?php
					require_once("cascade-blog-category-walker.php");
					wp_list_categories(array(
						"title_li" => "",
						"show_count" => 1,
						"include" => implode(",", $post_categories),
						"parent_url" => $parent_url,
						"walker" => new Cascade_Blog_Category_Walker()
					));
					?>
					</ul>
					<ul class="cascade_post_list cascade_clearfix">
				<?php
				//get posts
				query_posts(array( 
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => 5,
					'cat' => ((int)$_GET["category_id"]>0 ? (int)$_GET["category_id"] : implode(",", $post_categories)),
					'paged' => (isset($_GET["paged"]) ? (int)$_GET["paged"] : 0),
					'order' => 'ASC'
				));
				if(have_posts()) : while (have_posts()) : the_post();
				global $post;
				?>
						<li <?php post_class("cascade_post cascade_clearfix"); ?>>
							<div class="cascade_post_left">
								<h3 class="cascade_post_title">
									<a href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>" title="<?php echo esc_attr(get_the_title());?>">
										<?php the_title(); ?>
									</a>
								</h3>
								<?php if(is_active_sidebar('sidebar-blog')):?>
								<div class="cascade_post_details_container cascade_clearfix">
									<ul class="cascade_post_details">
										<li class="cascade_post_date"><?php _e("date", 'cascade');?><span> <?php the_time('j F Y');?></span></li>
										<li class="cascade_post_author"><?php _e("by", 'cascade');?><span> <?php the_author();?></span></li>
									</ul>
									<ul class="cascade_post_details">
										<li class="cascade_post_category"><?php _e("posted in", 'cascade');?><span> 
											<?php
											$categories = get_the_category();
											foreach($categories as $key=>$category)
											{
												echo '<a href="' . esc_attr($parent_url) . '/category-' . esc_attr($category->term_id) . '/" ';
												if(empty($category->description))
													echo 'title="' . sprintf(__('View all posts filed under %s', 'cascade'), $category->name) . '"';
												else
													echo 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $category->description, $category ) ) ) . '"';
												echo '>' .$category->name . '</a>' . ($key+1<count($categories) ? ', ' : '');
											}
											?>
										</span></li>
										<li class="cascade_post_comment">
											<span>
												<?php $comments_number = get_comments_number();?>
												<a href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>#cascade_comments" title="<?php echo ($comments_number==0 ? esc_attr("No Comments", 'cascade') : esc_attr($comments_number) . " " . ($comments_number!=1 ? esc_attr("Comments", 'cascade') : esc_attr("Comment", 'cascade'))); ?>">
													<?php comments_number(); ?>
												</a>
											</span>
										</li>
									</ul>
								</div>
								<?php endif; ?>
								<div class="cascade_post_content">
									<div class="cascade_post_excerpt">
										<?php if(has_post_thumbnail()):?>
										<a href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>" title="" class="cascade_post_thumb">
										<?php the_post_thumbnail("blog-widget-post-thumb", array("alt" => get_the_title(), "title" => "")); ?>
										</a>
										<?php endif;?>
										<?php the_excerpt_rss(); ?>
									</div>
									<a class="cascade_post_more" href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>" title="<?php esc_attr_e("Read more", 'cascade');?>">
										<?php _e("Read more", 'cascade');?>
									</a>
								</div>
							</div>
							<?php if(!is_active_sidebar('sidebar-blog')):?>
							<div class="cascade_post_right">
								<ul class="cascade_post_details">
									<li class="cascade_post_date"><?php _e("date", 'cascade');?><span> <?php the_time('j F Y');?></span></li>
									<li class="cascade_post_category"><?php _e("posted in", 'cascade');?><span> 
										<?php
										$categories = get_the_category();
										foreach($categories as $key=>$category)
										{
											echo '<a href="' . esc_attr($parent_url) . '/category-' . esc_attr($category->term_id) . '/" ';
											if(empty($category->description))
												echo 'title="' . sprintf(__('View all posts filed under %s', 'cascade'), $category->name) . '"';
											else
												echo 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $category->description, $category ) ) ) . '"';
											echo '>' .$category->name . '</a>' . ($key+1<count($categories) ? ', ' : '');
										}
										?>
									</span></li>
									<li class="cascade_post_author"><?php _e("by", 'cascade');?><span> <?php the_author();?></span></li>
									<li class="cascade_post_comment">
										<span>
											<?php $comments_number = get_comments_number();?>
											<a href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>#cascade_comments" title="<?php echo ($comments_number==0 ? esc_attr("No Comments", 'cascade') : esc_attr($comments_number) . " " . ($comments_number!=1 ? esc_attr("Comments", 'cascade') : esc_attr("Comment", 'cascade'))); ?>">
												<?php comments_number(); ?>
											</a>
										</span>
									</li>
								</ul>
							</div>
							<?php endif; ?>
						</li>
				<?php
				endwhile; 
				endif;
				require_once("pagination.php");
				ca_pagination('', 2, $parent_url);
				//Reset Query
				wp_reset_query();
				?>
					</ul>
					</div>
					<?php if(is_active_sidebar('sidebar-blog')):?>
					<div class="layout-blog-right">
					   <?php get_sidebar('blog');?>    
					</div>
					<?php endif; ?>
				</div>
				<?php
			if(!isset($included) || !(int)$included)
			{
			?>
			</div>
			<!-- /Page content -->
			<!-- Footer -->
			<div class="cascade-window-footer"></div>
			<!-- /Footer -->
		</div>
		<!-- /Window -->
		<!-- Navigation -->
		<a href="#!<?php echo ($result["count"]>4 ? "/" . esc_attr($result["lastPage"]) . "p/" : "");?>" class="cascade-navigation cascade-navigation-prev"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<a href="#!<?php echo ($result["count"]>4 ? "/2p/" : "");?>" class="cascade-navigation cascade-navigation-next"<?php echo ($result["count"]>4 ? " style='display: block;'" : ""); ?>></a>
		<!-- /Navigation -->
	</div>
	<!-- /Cascade -->
</div>
<!-- /Content -->
<?php get_footer(); 
}?>