<?php
class Cascade_Blog_Category_Walker extends Walker_Category
{
	function start_el(&$output, $item, $depth = 0, $args = array(), $id=0)
	{
		extract($args);
		$cat_name = esc_attr($item->name);
		$cat_name = apply_filters('list_cats', $cat_name, $item);
		if($args["style"]=="list")
			$output .= '<li class="cascade_post_category">';
		$output .= '<a href="' . esc_attr($parent_url) . '/category-' . esc_attr($item->term_id) . '/" ';
		if($use_desc_for_title == 0 || empty($item->description))
			$output .= 'title="' . sprintf(__('View all posts filed under %s', 'cascade'), $cat_name) . '"';
		else
			$output .= 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $item->description, $item ) ) ) . '"';
		$output .= '>';
		$output .= $cat_name . '</a>';
		if(isset($show_count) && $show_count)
			$output .= ' <span>[' . intval($item->count) . ']</span>';
	}
	
	 function end_el(&$output, $item, $depth = 0, $args = array())
	 {
		if($args["style"]!="list")
			return;
		$output .= "</li>";
	} 
}
?>