<?php
if(have_comments()):
	?>
	<h3>
		<?php comments_number(); ?>
	</h3>
	<ul class="cascade_comments_list">
	<?php
	paginate_comments_links();
	wp_list_comments(array(
		'avatar_size' => 70,
		'page' => (isset($_GET["paged"]) ? (int)$_GET["paged"] : 1),
		'per_page' => '5',
		'callback' => 'cascade_comments_list',
		'test' => 'comment-reply'
	));
	?>
	</ul>
	<script type="text/javascript">
	jQuery(document).ready(function($){
		$(".reply_button").on("click", function(event){
			event.preventDefault();
			var api =  $('.cascade-window-content').jScrollPane({maintainPosition:true,autoReinitialise:false}).data('jsp');
			api.scrollToElement($("#cascade_comment_form"));
			$("#cascade_comment_form [name='comment_parent_id']").val($(this).attr("href").substr(1));
			$("#cancel_comment").css('display', 'block');
		});
		$("#cancel_comment").on("click", function(event){
			event.preventDefault();
			$(this).css('display', 'none');
			$("#cascade_comment_form [name='comment_parent_id']").val(0);
		});
	});
	</script>
	<?php
	global $parent;
	if($parent)
		$parent_url = "#!/" . $parent->post_name;
	global $post;
	$comment_parent_url =  (isset($parent_url) ? $parent_url . "/" : '') . $post->post_name;
	$query = $wpdb->prepare("SELECT COUNT(*) AS count FROM $wpdb->comments WHERE comment_approved = 1 AND comment_post_ID = %d AND comment_parent = 0", get_the_ID());
    $parents = $wpdb->get_row($query);
	if($parents->count>5)
		cascade_comments_pagination(2, ceil($parents->count/5), $comment_parent_url);
endif;
function cascade_comments_list($comment, $args, $depth)
{
	$GLOBALS['comment'] = $comment;
?>
	<li <?php comment_class('cascade_clearfix'); ?> id="li-comment-<?php echo esc_attr(get_comment_ID()); ?>">
		<?php echo get_avatar( $comment->comment_author_email, $args['avatar_size'] ); ?>
		<div class="comment-details">
			<h5 class="comment-header">
				<?php 
				comment_author_link();
				printf(__(', %1$s at %2$s', 'cascade'), get_comment_date(),  get_comment_time());
				edit_comment_link(__('(Edit)', 'cascade'),'&nbsp;&nbsp;&nbsp;','');
				?>
			</h5>
			<?php
			comment_text();
			?>
			<a class="reply_button" href="#<?php echo esc_attr(get_comment_ID()); ?>" title="<?php esc_attr_e('Reply', 'cascade'); ?>">
				<?php _e('Reply', 'cascade'); ?>
			</a>
		</div>
<?php
}
function cascade_comments_pagination($range, $pages, $parent_url)
{
	$paged = (!isset($_GET["paged"]) || (int)$_GET["paged"]==0 ? 1 : (int)$_GET["paged"]);
	$showitems = ($range * 2)+1;
	echo "<ul class='cascade_pagination cascade_clearfix'>";
	if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<li><a href='" . esc_url(home_url($parent_url . "/page-1/")) . "' class='cascade_inactive cascade_pagination_arrow'>&laquo;</a></li>";
	if($paged > 1 && $showitems < $pages) echo "<li><a href='" . esc_url(home_url($parent_url . "/page-" . ($paged-1) . "/")) . "' class='cascade_inactive cascade_pagination_arrow'>&lsaquo;</a></li>";

	for ($i=1; $i <= $pages; $i++)
	{
		if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
		{
			echo "<li>" . ($paged == $i ? "<span class='cascade_current'>".$i."</span>":"<a href='" . esc_url(home_url($parent_url . "/page-" . $i . "/")) . "' class='cascade_inactive'>".$i."</a>") . "</li>";
		}
	}

	if ($paged < $pages && $showitems < $pages) echo "<li><a href='" . esc_url(home_url($parent_url . "/page-" . ($paged+1) . "/")) . "' class='cascade_inactive cascade_pagination_arrow'>&rsaquo;</a></li>";  
	if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<li><a href='" . esc_url(home_url($parent_url . "/page-" . $pages . "/")) . "' class='cascade_inactive cascade_pagination_arrow'>&raquo;</a></li>";
	echo "</ul>";
}
?>