<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="<?php echo esc_attr(get_bloginfo("html_type")); ?>; charset=<?php echo esc_attr(get_bloginfo("charset")); ?>" />
		<meta name="generator" content="WordPress <?php echo esc_attr(get_bloginfo("version")); ?>" />
		<link rel="alternate" type="application/rss+xml" title="<?php esc_attr_e('RSS 2.0', 'cascade'); ?>" href="<?php echo esc_url(get_bloginfo("rss2_url")); ?>">
		<link rel="pingback" href="<?php echo esc_url(get_bloginfo("pingback_url")); ?>" />
		<?php
		wp_head(); 
		?>
		<link rel="shortcut icon" href="<?php echo esc_url(get_template_directory_uri()); ?>/images/favicon.ico" />
	</head>
	<?php global $cascade_options;?>
	<body <?php body_class("cascade_" . $cascade_options["skin"] . " " . $cascade_options["background"]); ?>>
	 <!-- Header -->
	<div class="header main box-center"<?php if($cascade_options["background_map"]!=""): ?> style='background-image: none;'<?php endif; ?>>
		<?php 
		// Get menu object
		$locations = get_nav_menu_locations();
		if(isset($locations["cascade-header-top"]))
			$cascade_menu_object = get_term($locations["cascade-header-top"], "nav_menu");
		if(has_nav_menu("cascade-header-top") && $cascade_menu_object->count>0) 
			wp_nav_menu(array(
				"theme_location" => "cascade-header-top",
				"menu_class" => "cascade_header_menu cascade_header_top_menu cascade_clearfix"
			));
		?>
		<div class="layout-header clear-fix overflow-fix">
			<div class="layout-header-left">
				<?php if($cascade_options["header_url"]!=""):?>
				<a href="<?php echo esc_url($cascade_options["header_url"]);?>" class="header-logo-link"></a>
				<?php endif; ?>
				<h1><?php echo $cascade_options["main_header"];?></h1>
				<h5><?php echo $cascade_options["sub_header"];?></h5>					
			</div>
			<div class="layout-header-right">
				<ul class="no-list header-menu">
					<?php if($cascade_options["download_icon"]!=""):?>
					<li class="header-menu-download"><?php echo $cascade_options["download_icon"];?></li>
					<?php endif; ?>
					<?php if($cascade_options["phone_icon"]!=""):?>
					<li class="header-menu-phone"><?php echo $cascade_options["phone_icon"];?></li>
					<?php endif; ?>
					<?php if($cascade_options["email_icon"]!=""):?>
					<li class="header-menu-mail"><?php echo $cascade_options["email_icon"];?></li>
					<?php endif; ?>
				</ul>
			</div>			
		</div>
		<?php 
		// Get menu object
		$locations = get_nav_menu_locations();
		if(isset($locations["cascade-header-bottom"]))
			$cascade_menu_object = get_term($locations["cascade-header-bottom"], "nav_menu");
		if(has_nav_menu("cascade-header-bottom") && $cascade_menu_object->count>0) 
			wp_nav_menu(array(
				"theme_location" => "cascade-header-bottom",
				"menu_class" => "cascade_header_menu cascade_header_bottom_menu cascade_clearfix"
			));
		?>
	</div>
	<!-- /Header -->