<?php
//Adds a box to the main column on the Page edit screens
function cascade_add_custom_box() 
{
    add_meta_box( 
        "tab_config",
        __("Tab configuration", 'cascade'),
        "cascade_inner_custom_box",
        "page",
		"normal",
		"high"
    );
}
add_action("add_meta_boxes", "cascade_add_custom_box");
//backwards compatible (before WP 3.0)
//add_action("admin_init", "cascade_add_custom_box", 1);

// Prints the box content
function cascade_inner_custom_box($post) 
{
	//Use nonce for verification
	wp_nonce_field(plugin_basename( __FILE__ ), "cascade_noncename");

	//The actual fields for data entry
	$color = get_post_meta($post->ID, "color", true);
	$icon = get_post_meta($post->ID, "icon", true);
	if((int)get_option("cascade_home")==$post->ID)
		$home = 1;
	else
		$home = 0;
	$active = get_post_meta($post->ID, "active", true);
	$blog_categories = get_post_meta($post->ID, "cascade_blog_categories", true);
	$post_categories = get_terms("category");
	echo '
	<table>
		<tr>
			<td>
				<label for="cascade_subtitle">' . __("Subtitle:", 'cascade') . '</label>
			</td>
			<td>
				<input class="regular-text" type="text" id="cascade_subtitle" name="cascade_subtitle" value="' . esc_attr(get_post_meta($post->ID, "subtitle", true)) . '" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_color">' . __("Color:", 'cascade') . '</label>
			</td>
			<td>
				<select style="width: 120px;" class="regular-text" id="cascade_color" name="cascade_color">
					<option value="blue"' . ($color=="blue" ? ' selected="selected"' : '') . '>' . __('blue', 'cascade') . '</option>
					<option value="lime"' . ($color=="lime" ? ' selected="selected"' : '') . '>' . __('lime', 'cascade') . '</option>
					<option value="yellow"' . ($color=="yellow" ? ' selected="selected"' : '') . '>' . __('yellow', 'cascade') . '</option>
					<option value="orange"' . ($color=="orange" ? ' selected="selected"' : '') . '>' . __('orange', 'cascade') . '</option>
					<option value="green"' . ($color=="green" ? ' selected="selected"' : '') . '>' . __('green', 'cascade') . '</option>
					<option value="purple"' . ($color=="purple" ? ' selected="selected"' : '') . '>' . __('purple', 'cascade') . '</option>
					<option value="red"' . ($color=="red" ? ' selected="selected"' : '') . '>' . __('red', 'cascade') . '</option>
					<option value="turquoise"' . ($color=="turquoise" ? ' selected="selected"' : '') . '>' . __('turquoise', 'cascade') . '</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_icon">' . __("Icon:", 'cascade') . '</label>
			</td>
			<td>
				<select style="width: 120px;" id="cascade_icon" name="cascade_icon">
					<option value="info"' . ($icon=="info" ? ' selected="selected"' : '') . '>' . __('info', 'cascade') . '</option>
					<option value="camera"' . ($icon=="camera" ? ' selected="selected"' : '') . '>' . __('camera', 'cascade') . '</option>
					<option value="document"' . ($icon=="document" ? ' selected="selected"' : '') . '>' . __('document', 'cascade') . '</option>
					<option value="mail"' . ($icon=="mail" ? ' selected="selected"' : '') . '>' . __('mail', 'cascade') . '</option>
					<option value="arrow"' . ($icon=="arrow" ? ' selected="selected"' : '') . '>' . __('arrow', 'cascade') . '</option>
					<option value="basket"' . ($icon=="basket" ? ' selected="selected"' : '') . '>' . __('basket', 'cascade') . '</option>
					<option value="briefcase"' . ($icon=="briefcase" ? ' selected="selected"' : '') . '>' . __('briefcase', 'cascade') . '</option>
					<option value="lightbulb"' . ($icon=="lightbulb" ? ' selected="selected"' : '') . '>' . __('lightbulb', 'cascade') . '</option>
					<option value="people"' . ($icon=="people" ? ' selected="selected"' : '') . '>' . __('people', 'cascade') . '</option>
					<option value="tick"' . ($icon=="tick" ? ' selected="selected"' : '') . '>' . __('tick', 'cascade') . '</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_custom_tab_image_url">' . __('Custom tab image URL', 'cascade') . ':</label>
			</td>
			<td>
				<input class="regular-text" type="text" id="cascade_custom_tab_image_url" name="cascade_custom_tab_image_url" value="' . esc_attr(get_post_meta($post->ID, "custom_tab_image_url", true)) . '" />
				<input style="float: right;" type="button" class="button" name="cascade_upload_button" id="cascade_custom_tab_image_url_button" value="' . esc_attr__('Browse', 'cascade') . '" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_custom_tab_image_hover_url">' . __('Custom tab image hover URL', 'cascade') . ':</label>
			</td>
			<td>
				<input class="regular-text" type="text" id="cascade_custom_tab_image_hover_url" name="cascade_custom_tab_image_hover_url" value="' . esc_attr(get_post_meta($post->ID, "custom_tab_image_hover_url", true)) . '" />
				<input style="float: right;" type="button" class="button" name="cascade_upload_button" id="cascade_custom_tab_image_hover_url_button" value="' . esc_attr__('Browse', 'cascade') . '" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_custom_url">' . __('Custom URL', 'cascade') . ':</label>
			</td>
			<td>
				<input class="regular-text" type="text" id="cascade_custom_url" name="cascade_custom_url" value="' . esc_attr(get_post_meta($post->ID, "custom_url", true)) . '" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_home">' . __('Home page', 'cascade') . ':</label>
			</td>
			<td>
				<select id="cascade_home" name="cascade_home">
					<option value="0"' . ((int)$home==0 ? ' selected="selected"' : '') . '>No</option>
					<option value="1"' . ((int)$home==1 ? ' selected="selected"' : '') . '>Yes</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label for="cascade_active">' . __('Leave hover state on open', 'cascade') . ':</label>
			</td>
			<td>
				<select id="cascade_active" name="cascade_active">
					<option value="0"' . ((int)$active==0 ? ' selected="selected"' : '') . '>No</option>
					<option value="1"' . ((int)$active==1 ? ' selected="selected"' : '') . '>Yes</option>
				</select>
			</td>
		</tr>';
		if(count($post_categories))
		{
			echo '
		<tr>
			<td>
				<label for="cascade_blog_categories">' . __('Blog categories', 'cascade') . ':</label>
			</td>
			<td>
				<select id="cascade_blog_categories" name="cascade_blog_categories[]" multiple="multiple">';
					foreach($post_categories as $post_category)
						echo '<option value="' . esc_attr($post_category->term_id) . '"' . (is_array($blog_categories) && in_array($post_category->term_id, $blog_categories) ? ' selected="selected"' : '') . '>' . $post_category->name . '</option>';
			echo '
				</select>
			</td>
		</tr>';
		}
		echo '
	</table>
	';
}

//When the post is saved, saves our custom data
function cascade_save_postdata($post_id) 
{
	// verify if this is an auto save routine. 
	// If it is our form has not been submitted, so we dont want to do anything
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) 
		return;

	//verify this came from the our screen and with proper authorization,
	//because save_post can be triggered at other times
	if (!isset($_POST['cascade_noncename']) || !wp_verify_nonce($_POST['cascade_noncename'], plugin_basename( __FILE__ )))
		return;


	// Check permissions
	if(!current_user_can('edit_post', $post_id))
		return;

	//OK, we're authenticated: we need to find and save the data
	update_post_meta($post_id, "subtitle", (isset($_POST["cascade_subtitle"]) ? $_POST["cascade_subtitle"] : ''));
	update_post_meta($post_id, "color", (isset($_POST["cascade_color"]) ? $_POST["cascade_color"] : ''));
	update_post_meta($post_id, "icon", (isset($_POST["cascade_icon"]) ? $_POST["cascade_icon"] : ''));
	update_post_meta($post_id, "custom_tab_image_url", (isset($_POST["cascade_custom_tab_image_url"]) ? $_POST["cascade_custom_tab_image_url"] : ''));
	update_post_meta($post_id, "custom_tab_image_hover_url", (isset($_POST["cascade_custom_tab_image_hover_url"]) ? $_POST["cascade_custom_tab_image_hover_url"] : ''));
	update_post_meta($post_id, "custom_url", (isset($_POST["cascade_custom_url"]) ? $_POST["cascade_custom_url"] : ''));
	if((int)$_POST["cascade_home"]==1)
		update_option("cascade_home", $post_id);
	else if((int)get_option("cascade_home")==$post_id)
		delete_option("cascade_home");
	update_post_meta($post_id, "active", (isset($_POST["cascade_active"]) ? $_POST["cascade_active"] : ''));
	update_post_meta($post_id, "cascade_blog_categories", (isset($_POST["cascade_blog_categories"]) ? $_POST["cascade_blog_categories"] : ''));
}
add_action("save_post", "cascade_save_postdata");
?>