<div class="layout-blog cascade_clearfix">
	<div class="layout-blog-<?php echo (is_active_sidebar('sidebar-blog') ? 'left' : 'full');?>">
		<?php
		global $post;
		global $cascade_options;
		if($parent)
		{
			global $parent_url;
			$parent_url = ((int)$cascade_options['ajax'] ? '#!/' : '') . $parent->post_name;
		?>
		<ul class="cascade_bread_crum cascade_clearfix">
			<li>
				<a href="<?php echo esc_attr($parent_url);?>" title="<?php echo esc_attr($parent->post_title);?>"><?php echo $parent->post_title;?></a>
			</li>
			<li class="cascade_separator">&nbsp;</li>
			<li>
				<span><?php echo $post->post_title;?></span>
			</li>
		</ul>
		<?php
		}
		?>
		<div class="cascade_post cascade_clearfix">
			<div class="cascade_post_left">
				<h3 class="cascade_post_title">
					<?php echo $post->post_title; ?>
				</h3>
				<?php if(is_active_sidebar('sidebar-blog')):?>
				<div class="cascade_post_details_container cascade_clearfix">
					<ul class="cascade_post_details">
						<li class="cascade_post_date"><?php _e("date", 'cascade');?><span> <?php echo get_the_time('j F Y', $post->ID);?></span></li>
						<li class="cascade_post_author"><?php _e("by", 'cascade');?><span> <?php the_author_meta("display_name", $post->post_author);?></span></li>
					</ul>
					<ul class="cascade_post_details">
						<li class="cascade_post_category"><?php _e("posted in", 'cascade');?><span> 
						<?php
							$categories = get_the_category($post->ID);
							foreach($categories as $key=>$category)
							{
								echo '<a href="' . esc_attr($parent_url) . '/category-' . esc_attr($category->term_id) . '/" ';
								if(empty($category->description))
									echo 'title="' . sprintf(__('View all posts filed under %s', 'cascade'), esc_attr($category->name)) . '"';
								else
									echo 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $category->description, $category ) ) ) . '"';
								echo '>' .$category->name . '</a>' . ($key+1<count($categories) ? ', ' : '');
							}
						?>
						</span></li>
						<!--<li class="cascade_post_comment"></li>-->
					</ul>
				</div>
				<?php endif; ?>
				<div class="cascade_post_content">
					<?php 
					if(has_post_thumbnail($post->ID)):
						$attachment_image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), "large");
					?>
					<div class="fancybox-image">
						<a href="<?php echo esc_url($attachment_image[0]); ?>" title="" class="cascade_post_thumb">
							<?php echo get_the_post_thumbnail($post->ID, "blog-widget-post-thumb", array("alt" => $post->post_title, "title" => "")); ?>
						</a>
					</div>
					<?php endif;?>
					<?php echo do_shortcode(apply_filters("the_content", $post->post_content));
					wp_link_pages(array(
						"before" => '<ul class="cascade_pagination cascade_clearfix"><li>',
						"after" => '</li></ul>',
						"separator" => '</li><li>'
					));?>
				</div>
				<?php
				if(comments_open($post->ID)):
				?>
				<div id="cascade_comments">
				<?php
				query_posts("p=" . $post->ID . "&post_type=post");
				if(have_posts()) : the_post(); 
					comments_template();
				endif;
				?>
				</div>
				<?php
				require_once("comments-form.php");
				endif; ?>
			</div>
			<?php if(!is_active_sidebar('sidebar-blog')):?>
			<div class="cascade_post_right">
				<ul class="cascade_post_details">
					<li class="cascade_post_date"><?php _e("date", 'cascade');?><span> <?php echo get_the_time('j F Y', $post->ID);?></span></li>
					<li class="cascade_post_category"><?php _e("posted in", 'cascade');?><span> 
					<?php
						$categories = get_the_category($post->ID);
						foreach($categories as $key=>$category)
						{
							echo '<a href="' . esc_attr($parent_url) . '/category-' . esc_attr($category->term_id) . '/" ';
							if(empty($category->description))
								echo 'title="' . sprintf(__('View all posts filed under %s', 'cascade'), esc_attr($category->name)) . '"';
							else
								echo 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $category->description, $category ) ) ) . '"';
							echo '>' .$category->name . '</a>' . ($key+1<count($categories) ? ', ' : '');
						}
					?>
					</span></li>
					<li class="cascade_post_author"><?php _e("by", 'cascade');?><span> <?php the_author_meta("display_name", $post->post_author);?></span></li>
					<li class="cascade_post_comment">
						<span>
							<?php $comments_number = get_comments_number();?>
							<a href="<?php echo esc_attr($parent_url); ?>/<?php echo esc_attr($post->post_name);?>#cascade_comments" title="<?php echo ($comments_number==0 ? esc_attr("No Comments", 'cascade') : esc_attr($comments_number) . " " . ($comments_number!=1 ? esc_attr("Comments", 'cascade') : esc_attr("Comment", 'cascade'))); ?>">
								<?php comments_number(); ?>
							</a>
						</span>
					</li>
				</ul>
			</div>
			<?php endif; ?>
        </div>
	</div>
	<?php if(is_active_sidebar('sidebar-blog')):?>
	<div class="layout-blog-right">
	   <?php get_sidebar('blog');?>    
	</div>
	<?php endif; ?>
</div>