<?php
$themename = "Cascade";

//admin menu
function cascade_admin_menu() 
{
	add_theme_page(__("Theme Options", 'cascade') ,__("Theme Options", 'cascade'), "edit_theme_options", "ThemeOptions", "cascade_options");
}
add_action("admin_menu", "cascade_admin_menu");

function cascade_stripslashes_deep($value)
{
	$value = is_array($value) ?
				array_map('stripslashes_deep', $value) :
				stripslashes($value);

	return $value;
}

function cascade_options() 
{
	if(isset($_POST["action"]) && $_POST["action"]=="cascade_save")
	{
		$cascade_options = get_option("cascade_options");
		if($_POST["cascade_submit"]=="Save Header Options")
		{
			$cascade_options_header = array(
				"main_header" => $_POST["main_header"],
				"sub_header" => $_POST["sub_header"],
				"header_url" => $_POST["header_url"],
				"download_icon" => $_POST["download_icon"],
				"phone_icon" => $_POST["phone_icon"],
				"email_icon" => $_POST["email_icon"]
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_header));
			$cascade_selected_tab = 0;
		}
		else if($_POST["cascade_submit"]=="Save Icons Options")
		{
			$cascade_options_icons = array(
				"twitter_login" => $_POST["twitter_login"],
				"twitts_number" => (int)$_POST["twitts_number"],
				"consumer_key" => $_POST["consumer_key"],
				"consumer_secret" => $_POST["consumer_secret"],
				"access_token" => $_POST["access_token"],
				"access_token_secret" => $_POST["access_token_secret"],
				"icons" => array(
					"type" => $_POST["icon_type"],
					"value" => $_POST["icon_value"]
				)
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_icons));
			$cascade_selected_tab = 1;
		}
		else if($_POST["cascade_submit"]=="Save Appearance Options")
		{
			$cascade_options_appearance = array(
				"skin" => $_POST["skin"],
				"top_bar" => $_POST["top_bar"],
				"animation_type" => $_POST["animation_type"],
				"background" => $_POST["background_" . $_POST["skin"]],
				"background_map" => $_POST["background_map"]
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_appearance));
			$cascade_selected_tab = 2;
		}
		else if($_POST["cascade_submit"]=="Save Sidebars Options")
		{
			$cascade_options_sidebars = array(
				"footer_sidebar" => $_POST["footer_sidebar"]
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_sidebars));
			$cascade_selected_tab = 3;
		}
		else if($_POST["cascade_submit"]=="Save Ajax Options")
		{
			$cascade_options_ajax = array(
				"ajax" => $_POST["ajax"]
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_ajax));
			$cascade_selected_tab = 4;
		}
		else if($_POST["cascade_submit"]==__("Save Google Maps API Options", 'cascade'))
		{
			$cascade_options_google = array(
				"google_api_code" => $_POST["google_api_code"]
			);
			update_option("cascade_options", array_merge($cascade_options, $cascade_options_google));
			$cascade_selected_tab = 5;
		}
		else
		{
			$cascade_options = array(
				"main_header" => $_POST["main_header"],
				"sub_header" => $_POST["sub_header"],
				"header_url" => $_POST["header_url"],
				"download_icon" => $_POST["download_icon"],
				"phone_icon" => $_POST["phone_icon"],
				"email_icon" => $_POST["email_icon"],
				"twitter_login" => $_POST["twitter_login"],
				"twitts_number" => (int)$_POST["twitts_number"],
				"consumer_key" => $_POST["consumer_key"],
				"consumer_secret" => $_POST["consumer_secret"],
				"access_token" => $_POST["access_token"],
				"access_token_secret" => $_POST["access_token_secret"],
				"icons" => array(
					"type" => $_POST["icon_type"],
					"value" => $_POST["icon_value"]
				),
				"skin" => $_POST["skin"],
				"top_bar" => $_POST["top_bar"],
				"animation_type" => $_POST["animation_type"],
				"background" => $_POST["background_" . $_POST["skin"]],
				"background_map" => $_POST["background_map"],
				"footer_sidebar" => $_POST["footer_sidebar"],
				"ajax" => $_POST["ajax"],
				"google_api_code" => $_POST["google_api_code"]
			);
			update_option("cascade_options", $cascade_options);
			$cascade_selected_tab = 0;
		}
	}
	$cascade_options = array(
		"main_header" => '',
		"sub_header" => '',
		"header_url" => '',
		"download_icon" => '',
		"phone_icon" => '',
		"email_icon" => '',
		"twitter_login" => '',
		"twitts_number" => '',
		"consumer_key" => '',
		"consumer_secret" => '',
		"access_token" => '',
		"access_token_secret" => '',
		"icons" => '',
		"skin" => '',
		"top_bar" => '',
		"animation_type" => '',
		"background" => '',
		"background_map" => '',
		"footer_sidebar" => '',
		"ajax" => '',
		"google_api_code" => ''
	);
	$cascade_options = cascade_stripslashes_deep(array_merge($cascade_options, get_option("cascade_options")));
	$icons = array(
		"facebook",
		"flickr",
		"google",
		"linkedin",
		"rss",
		"skype",
		"soundcloud",
		"twitter",
		"wordpress",
		"xing"
	);
?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"><br></div>
		<h2><?php _e("Cascade Options", 'cascade');?></h2>
	</div>
	<?php 
	if(isset($_POST["action"]) && $_POST["action"]=="cascade_save")
	{
	?>
	<div class="updated"> 
		<p>
			<strong>
				<?php _e('Options saved', 'cascade'); ?>
			</strong>
		</p>
	</div>
	<?php 
	}
	?>
	<form action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" method="post" id="cascade-options-tabs">
		<ul class="nav-tabs">
			<li class="nav-tab">
				<a href="#cascade-tab-1">
					<?php _e('Header', 'cascade'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#cascade-tab-2">
					<?php _e('Social icons', 'cascade'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#cascade-tab-3">
					<?php _e('Appearance', 'cascade'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#cascade-tab-4">
					<?php _e('Sidebars', 'cascade'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#cascade-tab-5">
					<?php _e('Ajax', 'cascade'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#cascade-tab-6">
					<?php _e('Google Maps API', 'cascade'); ?>
				</a>
			</li>
		</ul>
		<div id="cascade-tab-1">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Header', 'cascade'); ?>
						</th>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="main_header"><?php _e('Main header content', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["main_header"]); ?>" id="main_header" name="main_header">
							<span class="description"><?php _e('Can be text or any html', 'cascade'); ?>.</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="sub_header"><?php _e('Sub header content', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["sub_header"]); ?>" id="sub_header" name="sub_header">
							<span class="description"><?php _e('Can be text or any html', 'cascade'); ?>.</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="header_url"><?php _e('Header URL', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["header_url"]); ?>" id="header_url" name="header_url">
							<span class="description"><?php _e('Leave empty for no-link', 'cascade'); ?>.</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="download_icon"><?php _e('Download icon text', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["download_icon"]); ?>" id="download_icon" name="download_icon">
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="phone_icon"><?php _e('Phone icon text', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["phone_icon"]); ?>" id="phone_icon" name="phone_icon">
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="email_icon"><?php _e('Email icon text', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["email_icon"]); ?>" id="email_icon" name="email_icon">
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Header Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<div id="cascade-tab-2">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Social Icons', 'cascade'); ?>
						</th>
					</tr>
					<?php 
					$hide_rows = false;
					if(!is_plugin_active('cascade_twitter/cascade_twitter.php'))
					{
						$hide_rows = true;
					}
					?>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="twitter_login"><?php _e('Twitter login', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["twitter_login"]); ?>" id="twitter_login" name="twitter_login">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="twitts_number"><?php _e('Tweets number', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["twitts_number"]); ?>" id="twitts_number" name="twitts_number">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="consumer_key"><?php _e('Twitter consumer key', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["consumer_key"]); ?>" id="consumer_key" name="consumer_key">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="consumer_secret"><?php _e('Twitter consumer secret', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["consumer_secret"]); ?>" id="consumer_secret" name="consumer_secret">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="access_token"><?php _e('Twitter access token', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["access_token"]); ?>" id="access_token" name="access_token">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<th scope="row">
							<label for="access_token_secret"><?php _e('Twitter access token secret', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["access_token_secret"]); ?>" id="access_token_secret" name="access_token_secret">
						</td>
					</tr>
					<tr valign="top"<?php echo ($hide_rows ? ' class="cascade_hidden"' : '');?>>
						<td colspan="2">
							<?php _e("Directions to get the Consumer key, Consumer secret, Access token and Access token secret:", 'cascade');?><br>
							<?php echo sprintf(__("1. <a href='%s' target='_blank'>Add a new Twitter application</a>", 'cascade'), esc_url("https://dev.twitter.com/apps/new"));?><br>
							<?php _e("2. Fill in Name, Description, Website, and Callback URL (don't leave any blank) with anything you want", 'cascade');?><br>
							<?php _e("3. Agree to rules, fill out captcha, and submit your application", 'cascade');?><br>
							<?php _e("4. Copy the Consumer key, Consumer secret, Access token and Access token secret into the fields above", 'cascade');?><br>
							<?php _e("5. Click the Save button at the bottom", 'cascade');?>
						</td>
					</tr>
					<?php
					for($i=0; $i<8; $i++)
					{
					?>
					<tr valign="top">
						<th scope="row">
							<label><?php _e('Icon type', 'cascade'); ?>: </label>
							<select name="icon_type[]">
								<option value="">-</option>
								<?php for($j=0; $j<count($icons); $j++)
								{
								?>
								<option value="<?php echo esc_attr($icons[$j]); ?>"<?php echo (isset($cascade_options["icons"]["type"][$i]) && $icons[$j]==$cascade_options["icons"]["type"][$i] ? " selected='selected'" : "") ?>><?php echo $icons[$j]; ?></option>
								<?php
								}
								?>
							</select>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo (isset($cascade_options["icons"]["value"][$i]) ? esc_attr($cascade_options["icons"]["value"][$i]) : ''); ?>" name="icon_value[]">
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Icons Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<div id="cascade-tab-3">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Appearance', 'cascade'); ?>
						</th>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="skin"><?php _e('Skin', 'cascade'); ?></label>
						</th>
						<td>
							<select id="skin" name="skin">
								<option value="dark"<?php echo ($cascade_options["skin"]=="dark" ? " selected='selected'" : "") ?>><?php _e('dark', 'cascade'); ?></option>
								<option value="light"<?php echo ($cascade_options["skin"]=="light" ? " selected='selected'" : "") ?>><?php _e('light', 'cascade'); ?></option>	
							</select>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="top_bar"><?php _e('Top bar', 'cascade'); ?></label>
						</th>
						<td>
							<select id="top_bar" name="top_bar">
								<option value="1"<?php echo ($cascade_options["top_bar"]=="1" ? " selected='selected'" : "") ?>><?php _e('yes', 'cascade'); ?></option>
								<option value="0"<?php echo ($cascade_options["top_bar"]=="0" ? " selected='selected'" : "") ?>><?php _e('no', 'cascade'); ?></option>	
							</select>
						</td>
					</tr>
					<tr valign="top"<?php echo ($cascade_options["skin"]=="light" ? ' class="cascade_hidden"' : ''); ?>>
						<th scope="row">
							<label for="background_dark"><?php _e('Background', 'cascade'); ?></label>
						</th>
						<td>
							<select id="background_dark" name="background_dark">
								<option value="carbon"<?php echo ($cascade_options["background"]=="carbon" ? " selected='selected'" : "") ?>><?php _e('carbon', 'cascade'); ?></option>
								<option value="fibers"<?php echo ($cascade_options["background"]=="fibers" ? " selected='selected'" : "") ?>><?php _e('fibers', 'cascade'); ?></option>
								<option value="grid"<?php echo ($cascade_options["background"]=="grid" ? " selected='selected'" : "") ?>><?php _e('grid', 'cascade'); ?></option>
								<option value="mesh"<?php echo ($cascade_options["background"]=="mesh" ? " selected='selected'" : "") ?>><?php _e('mesh', 'cascade'); ?></option>							
								<option value="sandpaper"<?php echo ($cascade_options["background"]=="sandpaper" ? " selected='selected'" : "") ?>><?php _e('sandpaper', 'cascade'); ?></option>
								<option value="stripes"<?php echo ($cascade_options["background"]=="stripes" ? " selected='selected'" : "") ?>><?php _e('stripes', 'cascade'); ?></option>
								<option value="tiles"<?php echo ($cascade_options["background"]=="tiles" ? " selected='selected'" : "") ?>><?php _e('tiles', 'cascade'); ?></option>
								<option value="wood_dark"<?php echo ($cascade_options["background"]=="wood_dark" ? " selected='selected'" : "") ?>><?php _e('wood 1', 'cascade'); ?></option>
								<option value="wood2"<?php echo ($cascade_options["background"]=="wood2" ? " selected='selected'" : "") ?>><?php _e('wood 2', 'cascade'); ?></option>
								<option value="wood3"<?php echo ($cascade_options["background"]=="wood3" ? " selected='selected'" : "") ?>><?php _e('wood 3', 'cascade'); ?></option>
							</select>
						</td>
					</tr>
					<tr valign="top"<?php echo ($cascade_options["skin"]=="dark" ? ' class="cascade_hidden"' : ''); ?>>
						<th scope="row">
							<label for="background_light"><?php _e('Background', 'cascade'); ?></label>
						</th>
						<td>
							<select id="background_light" name="background_light">
								<option value="aluminium"<?php echo ($cascade_options["background"]=="aluminium" ? " selected='selected'" : "") ?>><?php _e('aluminium', 'cascade'); ?></option>
								<option value="dark_squares"<?php echo ($cascade_options["background"]=="dark_squares" ? " selected='selected'" : "") ?>><?php _e('dark squares', 'cascade'); ?></option>
								<option value="light_squares"<?php echo ($cascade_options["background"]=="light_squares" ? " selected='selected'" : "") ?>><?php _e('light squares', 'cascade'); ?></option>
								<option value="marble"<?php echo ($cascade_options["background"]=="marble" ? " selected='selected'" : "") ?>><?php _e('marble', 'cascade'); ?></option>							
								<option value="mid_squares"<?php echo ($cascade_options["background"]=="mid_squares" ? " selected='selected'" : "") ?>><?php _e('mid squares', 'cascade'); ?></option>
								<option value="noise"<?php echo ($cascade_options["background"]=="noise" ? " selected='selected'" : "") ?>><?php _e('noise', 'cascade'); ?></option>
								<option value="sandpaper"<?php echo ($cascade_options["background"]=="sandpaper" ? " selected='selected'" : "") ?>><?php _e('sandpaper', 'cascade'); ?></option>
								<option value="stucco"<?php echo ($cascade_options["background"]=="stucco" ? " selected='selected'" : "") ?>><?php _e('stucco', 'cascade'); ?></option>
								<option value="wave"<?php echo ($cascade_options["background"]=="wave" ? " selected='selected'" : "") ?>><?php _e('wave', 'cascade'); ?></option>
								<option value="wood_light"<?php echo ($cascade_options["background"]=="wood_light" ? " selected='selected'" : "") ?>><?php _e('wood', 'cascade'); ?></option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="animation_type"><?php _e('Animation type', 'cascade'); ?></label>
						</th>
						<td>
							<select id="animation_type" name="animation_type">
								<option value="expand"<?php echo ($cascade_options["animation_type"]=="expand" ? " selected='selected'" : "") ?>><?php _e('expand', 'cascade'); ?></option>
								<option value="fade"<?php echo ($cascade_options["animation_type"]=="fade" ? " selected='selected'" : "") ?>><?php _e('fade', 'cascade'); ?></option>	
							</select>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="background_map"><?php _e('Map background (uMapper code)', 'cascade'); ?></label>
						</th>
						<td>
							<textarea id="background_map" name="background_map" rows="6" cols="70"><?php echo esc_attr($cascade_options["background_map"]); ?></textarea>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Appearance Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<div id="cascade-tab-4">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Sidebars', 'cascade'); ?>
						</th>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="footer_sidebar"><?php _e('Footer Sidebar', 'cascade'); ?></label>
						</th>
						<td>
							<select id="footer_sidebar" name="footer_sidebar">
								<option value="widgets_and_cascade"<?php echo ($cascade_options["footer_sidebar"]=="widgets_and_cascade" ? " selected='selected'" : "") ?>><?php _e('widgets &amp; cascade footer', 'cascade'); ?></option>
								<option value="cascade"<?php echo ($cascade_options["footer_sidebar"]=="cascade" ? " selected='selected'" : "") ?>><?php _e('only cascade footer', 'cascade'); ?></option>
								<option value="widgets"<?php echo ($cascade_options["footer_sidebar"]=="widgets" ? " selected='selected'" : "") ?>><?php _e('only widgets', 'cascade'); ?></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Sidebars Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<div id="cascade-tab-5">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Ajax', 'cascade'); ?>
						</th>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="ajax"><?php _e('Load pages via ajax', 'cascade'); ?></label>
						</th>
						<td>
							<select id="ajax" name="ajax">
								<option value="1"<?php echo ($cascade_options["ajax"]=="1" ? " selected='selected'" : "") ?>><?php _e('yes', 'cascade'); ?></option>
								<option value="0"<?php echo ($cascade_options["ajax"]=="0" ? " selected='selected'" : "") ?>><?php _e('no', 'cascade'); ?></option>	
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Ajax Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<div id="cascade-tab-6">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Google Maps API', 'cascade'); ?>
						</th>
					</tr>
					<tr valign="top">
						<th scope="row">
							<label for="google_api_code"><?php _e('Google Maps API Key', 'cascade'); ?></label>
						</th>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($cascade_options["google_api_code"]); ?>" id="google_api_code" name="google_api_code">
							<span class="description"><?php printf(__('Generate API Key <a href="%s" target="_blank" title="Generate API Key">here</a>', 'cascade'), "https://developers.google.com/maps/documentation/javascript/get-api-key"); ?></span>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Google Maps API Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
			</p>
		</div>
		<p>
			<input type="hidden" name="action" value="cascade_save" />
			<input type="submit" value="<?php esc_attr_e('Save All Options', 'cascade'); ?>" class="button-primary" name="cascade_submit">
		</p>
		<input type="hidden" id="cascade-selected-tab" value="<?php echo (isset($cascade_selected_tab) ? esc_attr($cascade_selected_tab) : '');?>" />
	</form>
<?php
}
?>